# Uses of Class
javax.security.auth.x500.X500Principal

Packages that use X500Principal
Package
Description
java.security.cert
Provides classes and interfaces for parsing and managing certificates, certificate revocation lists (CRLs), and certification paths.

## Uses of X500Principal in java.security.cert

Methods in java.security.cert that return X500Principal
Modifier and Type
Method
Description
`X500Principal`
CertificateRevokedException.`getAuthorityName()`
Returns the name of the authority that signed the certificate's revocation status information.
`final X500Principal`
TrustAnchor.`getCA()`
Returns the name of the most-trusted CA as an X500Principal.
`X500Principal`
X509CRLEntry.`getCertificateIssuer()`
Get the issuer of the X509Certificate described by this entry.
`X500Principal`
X509CertSelector.`getIssuer()`
Returns the issuer criterion as an `X500Principal`.
`X500Principal`
X509Certificate.`getIssuerX500Principal()`
Returns the issuer (issuer distinguished name) value from the certificate as an `X500Principal`.
`X500Principal`
X509CRL.`getIssuerX500Principal()`
Returns the issuer (issuer distinguished name) value from the CRL as an `X500Principal`.
`X500Principal`
X509CertSelector.`getSubject()`
Returns the subject criterion as an `X500Principal`.
`X500Principal`
X509Certificate.`getSubjectX500Principal()`
Returns the subject (subject distinguished name) value from the certificate as an `X500Principal`.
Methods in java.security.cert that return types with arguments of type X500Principal
Modifier and Type
Method
Description
`Collection<X500Principal>`
X509CRLSelector.`getIssuers()`
Returns the issuerNames criterion.
Methods in java.security.cert with parameters of type X500Principal
Modifier and Type
Method
Description
`void`
X509CRLSelector.`addIssuer(X500Principal issuer)`
Adds a name to the issuerNames criterion.
`void`
X509CertSelector.`setIssuer(X500Principal issuer)`
Sets the issuer criterion.
`void`
X509CertSelector.`setSubject(X500Principal subject)`
Sets the subject criterion.
Method parameters in java.security.cert with type arguments of type X500Principal
Modifier and Type
Method
Description
`void`
X509CRLSelector.`setIssuers(Collection<X500Principal> issuers)`
Sets the issuerNames criterion.
Constructors in java.security.cert with parameters of type X500Principal
Modifier
Constructor
Description
``
`CertificateRevokedException(Date revocationDate, CRLReason reason, X500Principal authority, Map<String, Extension> extensions)`
Constructs a `CertificateRevokedException` with the specified revocation date, reason code, authority name, and map of extensions.
``
`TrustAnchor(X500Principal caPrincipal, PublicKey pubKey, byte[] nameConstraints)`
Creates an instance of `TrustAnchor` where the most-trusted CA is specified as an X500Principal and public key.